Bug 463772 - RHEL5 cmirror tracker: nosync corelog mirror results in invaild copy percent
RHEL5 cmirror tracker: nosync corelog mirror results in invaild copy percent
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 12:15 EDT by Corey Marthaler
Modified: 2010-01-11 21:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:26:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2008-09-24 12:15:21 EDT
Description of problem:
I was unable to reproduce this problem with single node mirrors.

[root@hayes-02 ~]# lvcreate -m 1 -n mirror --nosync --corelog -L 100M hayes
  WARNING: New mirror won't be synchronised. Don't read what you didn't write!
  Logical volume "mirror" created

[root@hayes-02 ~]# lvs
  LV       VG         Attr   LSize   Origin Snap%  Move Log Copy%  Convert
  mirror   hayes      Mwi-a- 100.00M                        112.00      

[root@hayes-02 ~]# dmsetup status
hayes-mirror: 0 204800 mirror 2 253:2 253:3 224/200 1 AA 1 clustered_core
hayes-mirror_mimage_1: 0 204800 linear 
hayes-mirror_mimage_0: 0 204800 linear 

Also, this doesn't happen if I try just a --corelog mirror, or just a --nosync mirror.


Version-Release number of selected component (if applicable):
2.6.18-115.gfs2abhi.001

lvm2-2.02.40-2.el5    BUILT: Fri Sep 19 09:46:26 CDT 2008
lvm2-cluster-2.02.40-2.el5    BUILT: Fri Sep 19 09:49:59 CDT 2008
device-mapper-1.02.28-2.el5    BUILT: Fri Sep 19 02:50:32 CDT 2008
cmirror-1.1.25-1.el5    BUILT: Fri Sep 19 16:27:46 CDT 2008
kmod-cmirror-0.1.17-1.el5    BUILT: Fri Sep 19 16:27:33 CDT 2008


How reproducible:
Everytime
Comment 1 Corey Marthaler 2008-09-24 13:20:36 EDT
FYI, if you create larger mirrors (1G and 10G) you wont see this issue. It's only the smaller mirrors (100M and 500M) where you'll see a problem.

  nosync_corelog2 hayes      Mwi-a- 100.00M                        112.00        
  nosync_corelog3 hayes      Mwi-a-   1.00G                        100.00        
  nosync_corelog4 hayes      Mwi-a-  10.00G                        100.00        
  nosync_corelog5 hayes      Mwi-a- 500.00M                        102.40
Comment 2 Jonathan Earl Brassow 2008-09-30 11:01:40 EDT
commit a9886d37c2981a39a422a649fedff8953518d123
Author: Jonathan Brassow <jbrassow@redhat.com>
Date:   Tue Sep 30 09:59:54 2008 -0500

    clogd:  Fix for bug 463772 - invaild copy percent

    A goto statement was placed to far down the function, so
    when corelog+nosync option was used to create a mirror, it
    would skip over some bit initialization work.
Comment 4 Corey Marthaler 2008-09-30 16:36:58 EDT
Fix verified in cmirror-1.1.27-1.el5.
Comment 6 errata-xmlrpc 2009-01-20 16:26:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0158.html

Note You need to log in before you can comment on or make changes to this bug.